Subject: bug#27272: 25.2; [patch] Fix positional args among keyword args in eldoc.

From: [email-masked]
Date: Tue, 15 Aug 2017 21:30:53 -0400

tags 27272 fixed
close 27272 26.1
quit

>> I've added a commit message and tests, I will push in a few days if there
>> are no objections.
>
> Actually, I found another little problem: it uses `cl-position' without
> requiring `cl-lib', so it triggers void-function errors in the *scratch*
> buffer from 'emacs -Q'.  Here's a new version that uses `member' instead
> of `cl-position'.

Pushed to master.

[1: 55c9238189]: 2017-08-15 21:22:41 -0400
  Fix eldoc highlighting for &key args (Bug#27272)
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=55c9238189795448075e2d4af93a7b29a505f23c

[2: 3305dec538]: 2017-08-15 21:22:41 -0400
  Add tests for previous commit
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3305dec5387021791eb09a93df5ab784b2297dc8